Bug 807760 - Review Request: jbigkit - JBIG1 lossless image compression tools
Review Request: jbigkit - JBIG1 lossless image compression tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 970393
  Show dependency treegraph
 
Reported: 2012-03-28 11:55 EDT by Jiri Popelka
Modified: 2013-12-18 07:18 EST (History)
4 users (show)

See Also:
Fixed In Version: jbigkit-2.0-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-22 00:22:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2012-03-28 11:55:39 EDT
Spec URL: http://jpopelka.fedorapeople.org/jbigkit.spec
SRPM URL: http://jpopelka.fedorapeople.org/jbigkit-2.0-5.fc17.src.rpm
Description:

JBIG-KIT implements a highly effective data compression algorithm for bi-level high-resolution images such as fax pages or scanned documents. 

jbigkit has been available in rpmfusion-free [1] repository but it will be free of known patents [2] in all countries from 2012-04-04 onwards so we can ship it with Fedora and I'll be able to build SpliX package with support for JBIG printers (see bug #674619, comment #11).

[1] http://download1.rpmfusion.org/free/fedora/releases/16/Everything/source/SRPMS/repoview/jbigkit.html
[2] http://www.cl.cam.ac.uk/~mgk25/jbigkit/patents/
Comment 1 Peter Lemenkov 2012-04-14 08:06:01 EDT
I'll review it (since now they are expired for sure).
Comment 2 Peter Lemenkov 2012-04-15 13:44:17 EDT
Ok, it builds fine on my powerpc box, so here are my notes. 

I really really don't like the idea of installing random COPYING file as the source of the licensing info. Also this is the violation of the Fedora rules, so please drop  it - this is a blocker. Use that one which is shipped with the tarball. I really don't care whether they are identical or not - please you only that one which is shipped by upstream.

Otherwise everything seems sane. So here is my formal

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent (the messages below can be safely ignored):

sulaco ~/rpmbuild: rpmlint RPMS/ppc/jbigkit-* SRPMS/jbigkit-2.0-5.fc17.src.rpm 
jbigkit.ppc: W: spelling-error Summary(en_US) lossless -> loss less, loss-less, loveless
jbigkit.ppc: W: no-manual-page-for-binary jbgtopbm85
jbigkit.ppc: W: no-manual-page-for-binary pbmtojbg85
jbigkit-devel.ppc: W: spelling-error Summary(en_US) lossless -> loss less, loss-less, loveless
jbigkit-devel.ppc: W: no-documentation
jbigkit-libs.ppc: W: spelling-error Summary(en_US) lossless -> loss less, loss-less, loveless
jbigkit-libs.ppc: W: spelling-error %description -l en_US netpbm -> Nettie
jbigkit.src: W: spelling-error Summary(en_US) lossless -> loss less, loss-less, loveless
5 packages and 0 specfiles checked; 0 errors, 8 warnings.
sulaco ~/rpmbuild: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.

- The file, containing the text of the license(s) for the package, must be included in %doc. See my comment above - use one supplied by the upstream.

+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum jbigkit-2.0.tar.gz*
f6be61695d18d6315961e473eda92252fdecf9636903bfbf4766a2eeff1f17ee  jbigkit-2.0.tar.gz
f6be61695d18d6315961e473eda92252fdecf9636903bfbf4766a2eeff1f17ee  jbigkit-2.0.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun (for *-libs sub-package).
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
0 No pkgconfig(.pc) files.
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.
+ The -devel package requires the *-libs sub-package using a fully versioned dependency: Requires: jbigkit-libs%{?_isa} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

So, please, drop the external "COPYING" file installation in the favour of one shipped within tarball and I'll finish this review.
Comment 3 Jiri Popelka 2012-04-16 04:39:30 EDT
Thank you. Fixed spec and srpm:

Spec URL: http://jpopelka.fedorapeople.org/jbigkit.spec
SRPM URL: http://jpopelka.fedorapeople.org/jbigkit-2.0-6.fc17.src.rpm
Comment 4 Peter Lemenkov 2012-04-16 04:51:54 EDT
Ok, good. This package is

APPROVED.
Comment 5 Jiri Popelka 2012-04-16 04:59:59 EDT
New Package SCM Request
=======================
Package Name: jbigkit
Short Description: JBIG1 lossless image compression tools
Owners: jpopelka
Branches: f16 f17
Comment 6 Gwyn Ciesla 2012-04-16 08:50:23 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-04-16 09:39:42 EDT
jbigkit-2.0-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jbigkit-2.0-6.fc17
Comment 8 Fedora Update System 2012-04-16 09:47:50 EDT
jbigkit-2.0-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jbigkit-2.0-6.fc16
Comment 9 Fedora Update System 2012-04-16 17:54:16 EDT
jbigkit-2.0-6.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-04-22 00:22:24 EDT
jbigkit-2.0-6.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-04-27 02:03:23 EDT
jbigkit-2.0-6.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.